Subject: Re: Gerrit, GitButler, and Jujutsu projects collaborating on change-id commit footer

From: Nico Williams <[email-masked]>
Date: Wed, 9 Apr 2025 14:13:18 -0500

On Wed, Apr 09, 2025 at 05:56:16AM -0700, Junio C Hamano wrote:
> It is not "simpler is more manageable".
> 
> The early days' design decision, which still lives to this day, was
> a bit stronger than that.  As can be read from [*1*] (which by the
> way I consider one of the most important message regarding the
> design in early days of Git), the design started from "recording
> renames is pointless".
> 
> *1* https://lore.kernel.org/git/[email-masked]/

Allow me to withdraw my use of similarity heuristics for renames as an
argument against similarity heuristics over change IDs.  I still think
that explicit change IDs would be better than using only commit
similarity heuristics.

Nico
--